Update
PUT/projects/{projectId}/webhook-endpoints/{webhookEndpointId}
Update a particular webhook endpoint for a project
Update
curl https://api.cloud.scenario.com/v1/projects/$PROJECT_ID/webhook-endpoints/$WEBHOOK_ENDPOINT_ID \
-X PUT \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{}'{
"webhookEndpoint": {
"id": "id",
"createdAt": "createdAt",
"enabled": true,
"enabledEvents": [
"*"
],
"nbFailedCalls": 0,
"nbTotalCalls": 0,
"ownerId": "ownerId",
"ownerType": "project",
"updatedAt": "updatedAt",
"url": "url",
"description": "description"
}
}Returns Examples
{
"webhookEndpoint": {
"id": "id",
"createdAt": "createdAt",
"enabled": true,
"enabledEvents": [
"*"
],
"nbFailedCalls": 0,
"nbTotalCalls": 0,
"ownerId": "ownerId",
"ownerType": "project",
"updatedAt": "updatedAt",
"url": "url",
"description": "description"
}
}